Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

Pangu provides an iOS 9.0 untethered jailbreak. TaiG provides an iOS 8.4 and 8.3 untethered jailbreak.
Check @PanguTeam, @taig_jailbreak, @saurik, and /r/jailbreak for news and updates.
You can use Cydia Impactor if you need to un-jailbreak an 8.1-8.4 device without restoring.
Instructions for jailbreaking iOS 8.0-8.4.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems.

Hey. I have an iPhone 4 that is currently running 4.1 and baseband 01.59.00. I want to upgrade to 4.3.1. I understand that ultrasn0w doesn't work right now, and that's fine with me. I don't need to unlock, I just want to keep my baseband as it is so it will be easier to unlock when it comes time to sell the phone.

My question is, can I use this baseband with 4.3.1 as long as I don't care about the unlock right now? I assume I can, but I wanted to confirm beforehand and I can't find anything else discussing this situation.

asked 05 Apr '11, 16:29

Bretterson's gravatar image

Bretterson
915211


I'm currently running my iPhone 4 on 4.3.1 with a 01.59.00 baseband, factory unlocked. Not sure if that's your situation or not (and I don't actually need to be on 01.59.00 anymore), but it's up and running.

However, there is an issue... there seems to be a problem with the jailbreak when using 01.59.00 (see https://twitter.com/MuscleNerd/status/55378187277967360 and https://twitter.com/MuscleNerd/status/55385601691758592 specifically). From what I understand, Musclenerd is saying that the low signal issue is purely cosmetic, but I seem to be having more dropouts since the update. I'll run the fix when it comes out, see how I go, but to be honest, I'm really considering dropping back to 4.2.1 if the connection problems stay like this (and that seems an Apple issue rather than a jailbreak one).

link

answered 06 Apr '11, 01:42

Endareth's gravatar image

Endareth
6.7k232439

Just to answer directly:

I am running an iPhone 4 on BB 1.59.00 with iOS 4.3.1 via PwnageTool 4.3. It works just fine without ultrasn0w installed. :) The only problem is a cosmetic one, which is that you will only see 1 bar of reception, regardless of what the actual reception is. MuscleNerd has already stated they will fix this.

But to answer your question, it'll work fine. :) Your bars will just look a little funny for the time being.

link

answered 06 Apr '11, 10:19

tsuehpsyde's gravatar image

tsuehpsyde
754

Step 1: Download TinyUmbrella

Step 2: Connect your iPhone 4 & Launch TinyUmbrella

Step 3: Click On the “Save SHSH” button

Step 4: Now, Click on start the “TSS Server” button

Step 5: While the TSS server is running, Launch iTunes

Step 6: Now, Click on Restore in iTunes (Don’t Click on Update)

Step 7: During the Restore Process, iTunes will give you Error 1013. Don’t panic, this is good. This error means your baseband has been preserved. Exit out of iTunes.

Step 8: Place your iPhone into DFU mode by holding down both the Power and Home buttons for ten seconds, then release the Power button and continue holding the Home button for another 5 seconds.

Step 9: Fix Recovery in TinyUmbrella is currently not working. Download this standalone .exe file to fix recovery on 4.3.1. Extract the file and double click on fixrecovery43.exe. A command prompt will open, and the program will go through the process. During this time, you will notice scrolling text on your iPhone 4.

Step 10: Your iPhone will now be on 4.3.1 with the 1.59.00 baseband!

Step 11: Proceed Jailbreaking with redsn0w

link

answered 05 Apr '11, 16:33

VeganPolice's gravatar image

VeganPolice
3057312

edited 05 Apr '11, 16:38

I appreciate the help, but I think I was actually a little unclear. I want to make sure the baseband will actually work, not how to make it happen! I'm already familiar with the process. Thanks again though.

(05 Apr '11, 17:16) Bretterson Bretterson's gravatar image

According to notcom Fixrecovery43 does not work on 4.3.1

Who compiled the file you link to?....OP, I think you should trust notcom on this issue.

Edit:- OP - logic says the 1.59.00 baseband will work with 4.3.1 providing you are using original carrier sim, you're just not able to run Ultrasn0w on it for service until MuscleNerd updates it.

link

answered 05 Apr '11, 16:36

venusanann's gravatar image

venusanann
13.3k11618

edited 05 Apr '11, 17:30

that problem with ultrasn0w on 4.3.1 has been fixed go to cydia and add the source http://cydia.pushfix.info look for ulrasn0w fixer for 4.3.1 install it reboot

link

answered 06 Apr '11, 03:31

1L1keTurtles's gravatar image

1L1keTurtles
2.4k22729

So there's not an actual ultrasn0w update from Musclenerd then?, why wouldn't that be the case.

EDIT:- According to @MuscleNerd it will be an updated ultrasn0w release, so you shouldn't really be using a fix from anywhere else, Dev'd by MuscleNerd, updated by MuscleNerd, fixed by MuscleNerd. Don't get me wrong, I'm not one of the DevTeam stalkers that go around with a 'love my dev team' sig, rofl, I'm not that infatuated, but you gotta leave the fix to the Dev.

link

answered 06 Apr '11, 03:37

venusanann's gravatar image

venusanann
13.3k11618

edited 06 Apr '11, 08:22

Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×2,575
×212
×28

Asked: 05 Apr '11, 16:29

Seen: 3,717 times

Last updated: 06 Apr '11, 10:19

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.